<app-header></app-header>
<div>
  <!-- TODO set to restaurant background image -->
  <img
    src="http://embed.widencdn.net/img/beef/sr17je3ewf/exact/thai-burger-horizontal.tif?keep=c&u=7fueml"
    style="width: 100%; height: 100px; object-fit: cover"
    alt=""
  />
  <div class="bg-white border p-3">
    <div class="container">
      <h2 id="title">{{ restaurant?.name }}</h2>
      <div>{{ restaurant?.address }}</div>
      <div class="d-flex gap-3">
        <!-- Stars and dollar signs are bound to restaurant.rating and restaurant.priceRating, the restaurant object is currently a placeholder -->
        <span>
          <app-star [stars]="restaurant.averageRating"></app-star>
          <span class="text-secondary mx-1">{{
            restaurant.ratings.length
          }}</span>
        </span>
        <span>
          <span
            class="text-dark"
            *ngFor="let index of createRange(restaurant?.priceRating)"
            >$</span
          >
          <span
            class="text-secondary"
            *ngFor="let index of createRange(5 - restaurant?.priceRating)"
            >$</span
          >
        </span>
        <span class="text-secondary"
          >{{ restaurant?.averageTime }} minutes</span
        >
      </div>
    </div>
  </div>
  <div class="bg-color-main border p-3">
    <div class="container">
      <div class="d-flex gap-3">
        <a
          (click)="scroll(menu)"
          role="button"
          class="text-decoration-none link-secondary"
          >Menu</a
        >
        <a
          (click)="scroll(description)"
          role="button"
          class="text-decoration-none link-secondary"
          >About</a
        >
        <a
          (click)="scroll(reviews)"
          role="button"
          class="text-decoration-none link-secondary"
          >Reviews</a
        >
      </div>
    </div>
  </div>
</div>
<div class="bg-light h-100" #menu>
  <div class="container py-5">
    <div class="row gy-2">
      <div class="col-md-6" *ngFor="let item of restaurant?.menu">
        <app-restaurant-item [menuItem]="item"></app-restaurant-item>
      </div>
    </div>
  </div>
  <div class="bg-white p-5">
    <div class="container">
      <!-- About restaurant -->
      <div class="row gy-3 border-bottom border-dark py-4" #description>
        <div class="col-12">
          <h3>Restaurant name</h3>
          <div class="text-primary">Tags, Tags, Tags, Tags,</div>
          <div>
            <span
              class="text-dark"
              *ngFor="let index of createRange(restaurant?.priceRating)"
              >$</span
            >
            <span
              class="text-secondary"
              *ngFor="let index of createRange(5 - restaurant?.priceRating)"
              >$</span
            >
          </div>
        </div>
        <div class="col-md-6">
          <div class="bg-light p-2 rounded">Address</div>
          <a
            [href]="
              'https://www.google.com/maps/search/?api=1&query=' +
              encodedAdress()
            "
            class="d-flex p-2 border-bottom"
            target="_blank"
            rel="noopener noreferrer"
            >{{ restaurant?.address }}</a
          >
        </div>
        <div class="col-md-6">
          <div class="bg-light p-2 rounded">Hours</div>
          <div *ngFor="let day of days" class="p-2 border-bottom">
            <span class="text-dark">{{ day }}</span>
            <span class="text-dark float-end">{{ restaurant.hours[day] }}</span>
          </div>
        </div>
      </div>
      <!-- Restaurant Reviews -->
      <div class="row bg-bg-main rounded my-5 gy-3 p-3" #reviews>
        <div class="col-12 p-3 bg-dark color-color-main rounded">
          Sorting settings here
        </div>
        <div
          *ngFor="let item of restaurant.ratings"
          class="col-12 bg-white rounded p-3"
        >
          <div>
            <span>{{ item.username }}</span>
            <span class="mx-1">
              <app-star [stars]="item.stars"></app-star>
            </span>
          </div>
          <div class="text-secondary">{{ item.description }}</div>
          <img
            *ngIf="item.imageURL"
            src="{{ item.imageURL }}"
            alt=""
            style="max-width: 200px; max-height: auto"
          />
        </div>
      </div>
    </div>
  </div>
</div>
